org.springframework.scheduling.config

## Class TaskManagementConfigUtils

- java.lang.Object
- - org.springframework.scheduling.config.TaskManagementConfigUtils

-     public abstract class TaskManagementConfigUtils
      extends Object

  Configuration constants for internal sharing across subpackages.
  Since:
    4.1
  Author:
    Juergen Hoeller

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ASYNC_ANNOTATION_PROCESSOR_BEAN_NAME` The bean name of the internally managed Async annotation processor.
    `static String` | `ASYNC_EXECUTION_ASPECT_BEAN_NAME` The bean name of the internally managed AspectJ async execution aspect.
    `static String` | `SCHEDULED_ANNOTATION_PROCESSOR_BEAN_NAME` The bean name of the internally managed Scheduled annotation processor.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaskManagementConfigUtils()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SCHEDULED_ANNOTATION_PROCESSOR_BEAN_NAME

          public static final String SCHEDULED_ANNOTATION_PROCESSOR_BEAN_NAME

      The bean name of the internally managed Scheduled annotation processor.
      See Also:
        Constant Field Values

    - #### ASYNC_ANNOTATION_PROCESSOR_BEAN_NAME

          public static final String ASYNC_ANNOTATION_PROCESSOR_BEAN_NAME

      The bean name of the internally managed Async annotation processor.
      See Also:
        Constant Field Values

    - #### ASYNC_EXECUTION_ASPECT_BEAN_NAME

          public static final String ASYNC_EXECUTION_ASPECT_BEAN_NAME

      The bean name of the internally managed AspectJ async execution aspect.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TaskManagementConfigUtils

          public TaskManagementConfigUtils()